gtk.HButtonBox
Prev | The gtk Class Reference | Next

## gtk.HButtonBox

gtk.HButtonBox — a container for arranging buttons horizontally.

## Synopsis

    class gtk.HButtonBox(gtk.ButtonBox):
        gtk.HButtonBox()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.ButtonBox
                +-- gtk.HButtonBox

## Implemented Interfaces

`gtk.HButtonBox` implements `gtk.Buildable`

## gtk.HButtonBox Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

gtk.ButtonBox Properties

## gtk.HButtonBox Style Properties

gtk.Widget Style Properties

gtk.ButtonBox Style Properties

## gtk.HButtonBox Child Properties

gtk.Box Child Properties

gtk.ButtonBox Child Properties

## gtk.HButtonBox Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

The `gtk.HButtonBox` is a container subclassed from `gtk.ButtonBox` that is optimized for the horizontal layout of buttons. The `gtk.HButtonBox` helps provide a consistent layout of buttons in an application by providing default values of spacing, padding and layout style as described in the `gtk.ButtonBox` reference. Buttons are packed into a `gtk.HButtonBox` using the `gtk.Container.add`() method or the `gtk.Box.pack_start`() and `gtk.Box.pack_end`() methods. The spacing between buttons can be set with the `gtk.Box.set_spacing`() method.

## Constructor

        gtk.HButtonBox()

Returns : | a new hbuttonbox widget

Creates a new `gtk.HButtonBox` widget.

Prev | Up | Next
gtk.HBox | Home | gtk.HPaned